# README

**In Arbeit**

## Struktur

| Name            | Pfad        |
| --------------- | ----------- |
| Eigene Elemente | /elements/  |
| Events          | /events/    |
| Bilder          | /images/    |
| CSS             | /styles/    |
| PHP Scripts     | /php/       |

## Einbinden von eigenen Elementen

Im head-Bereich der jeweiligen Seite:
```
<?php require 'php/generator.php'; ?>
```

Im Elementbereich:
```
<?php print_file("elements/element_name.html"); ?>
```

Eigenes CSS kann in der Datei *elements_custom.css* hinzugefügt werden.

## Erstellen neuer Events

Datei im Elementverzeichnis Anlegen: *YYYY-MM-DD.html*

Strukturierung:
```
<h1 class="title"> Event Titel </h1>
<p class="date"> Event Datum </p>
<p class="desc"> Event Beschreibung </p>
<div class="content">
    Event Content
    ...
</div>
```

Eigenes CSS kann in der Datei *events_custom.css* hinzugefügt werden.

## Geplantes

- Markdown für Events
- Dockerimage -> Webserver mit regelmäßigem *git pull*